ServiceServerPaginatedListResponse
Successful response with a page of ServiceServer
Always 0 in a successful response
0Always null in a successful response
data object[]required
Items of the page: an empty list beyond the last page
service_category objectrequired
Code of the category, for example PEC or CLOUD_STORAGE
Name of the category, in Italian
Code of the area that groups the category, for example HOSTING, DOMAIN or LICENSE
Name of the area, in Italian
Name of the service, in Italian
recurrence objectrequired
Billing recurrence: its frequency and, in days, the timings of renewal, suspension and dismission
frequency objectrequired
Frequency of a recurrence: a number of years, months or weeks, or a one-off charge
Unit of the frequency: Y (years), M (months), W (weeks) or U (one-off, without renewals)
Number of units of the frequency, for example 12 with M; null with U
Days before the expiry from which the purchase can be renewed and the renewal order is created
Days before the expiry when the automatic renewal is attempted
Days after the expiry when a purchase not renewed is suspended; null if it is not suspended
Days after the expiry from which the restore price is charged in addition to the renewal price
Days after the expiry when a purchase not renewed is dismissed
Days after the start of the activation when a purchase never activated is cancelled automatically
Days after the expiry when a purchase whose renewal was not completed is dismissed automatically
Days before the expiry from which additional services can no longer be bought for the purchase
Days before the expiry from which the service of the purchase can no longer be changed
recurrences_available object[]required
Recurrences that can be chosen when buying the service (recurrence_id)
frequency objectrequired
Frequency of a recurrence: a number of years, months or weeks, or a one-off charge
Unit of the frequency: Y (years), M (months), W (weeks) or U (one-off, without renewals)
Number of units of the frequency, for example 12 with M; null with U
Days before the expiry from which the purchase can be renewed and the renewal order is created
Days before the expiry when the automatic renewal is attempted
Days after the expiry when a purchase not renewed is suspended; null if it is not suspended
Days after the expiry from which the restore price is charged in addition to the renewal price
Days after the expiry when a purchase not renewed is dismissed
Days after the start of the activation when a purchase never activated is cancelled automatically
Days after the expiry when a purchase whose renewal was not completed is dismissed automatically
Days before the expiry from which additional services can no longer be bought for the purchase
Days before the expiry from which the service of the purchase can no longer be changed
Id of the TLD of a domain service (GET /api/v3/tlds/{tld_id}); null for the other services
Code of the service, for example DEDICATED_SERVER_ADVANCE or CLOUD_VPS_STD_IOPS
URL of the cart page of the service
activation_price objectrequired
Amount in euros: the taxable amount and, when computed with a tax regime, the VAT rate, the VAT and the total, which are null otherwise
Taxable amount
Currency code: always EUR
VAT rate as a fraction, for example 0.22 for 22%
VAT (tax) amount
Total amount
renew_price objectrequired
Renew price of the price list; null when the service has none
- Amount
- null
Taxable amount
Currency code: always EUR
VAT rate as a fraction, for example 0.22 for 22%
VAT (tax) amount
Total amount
restore_price objectrequired
Restore price of the price list; null when the service has none
- Amount
- null
Taxable amount
Currency code: always EUR
VAT rate as a fraction, for example 0.22 for 22%
VAT (tax) amount
Total amount
transfer_price objectrequired
Transfer price of the price list; null when the service has none
- Amount
- null
Taxable amount
Currency code: always EUR
VAT rate as a fraction, for example 0.22 for 22%
VAT (tax) amount
Total amount
Whether the service can be sold as a primary service
Whether the service is an additional service of a primary one
Whether the service can be bought as an additional service together with its primary service (presale)
Whether the service can be bought as an additional service after the activation of its primary service (aftersale)
Whether the service can be added to the cart more than once; the quantity of one purchase is set by quantity_min and quantity_max
Minimum quantity of the service in one purchase
Maximum quantity of the service in one purchase; null when the quantity cannot be chosen
templates object[]required
Server templates compatible with the service, with their operating systems: template_code and os_code are the values of SERVER_CONFIGURATION_CODE and SERVER_TEMPLATE_CODE when buying it
Code of the server template, to send as SERVER_CONFIGURATION_CODE in data when buying the service
Short name of the server template
Longer name of the server template; null when it has none
Min RAM (GB), for VPS/VM only
Min vCPU, for VPS/VM only
Min disk (GB), for VPS/VM only
operative_systems object[]required
Compatible operative systems
Code of the operating system, to send as SERVER_TEMPLATE_CODE in data when buying the service
Name of the operating system
Min RAM (GB), for VPS/VM only
Min vCPU, for VPS/VM only
Min disk (GB), for VPS/VM only
meta objectrequired
Pagination of the list
Number of items in the whole list
Number of items in this page: 0 beyond the last page
Number of pages of the list
Number of this page, starting from 1
Maximum number of items in a page
{
"error": 0,
"message": "string",
"data": [
{
"service_id": 0,
"service_category": {
"category_code": "string",
"category_name": "string",
"area_code": "string",
"area_name": "string"
},
"service_name": "string",
"recurrence": {
"recurrence_id": 0,
"frequency": {
"family": "string",
"value": 0
},
"days_renew": 0,
"days_autorenew": 0,
"days_suspension": 0,
"days_restore": 0,
"days_dismission": 0,
"days_cancel": 0,
"days_renew_dismission": 0,
"days_no_secondary": 0,
"days_no_service_change": 0
},
"recurrences_available": [
{
"recurrence_id": 0,
"frequency": {
"family": "string",
"value": 0
},
"days_renew": 0,
"days_autorenew": 0,
"days_suspension": 0,
"days_restore": 0,
"days_dismission": 0,
"days_cancel": 0,
"days_renew_dismission": 0,
"days_no_secondary": 0,
"days_no_service_change": 0
}
],
"tld_id": 0,
"service_code": "string",
"service_url": "string",
"activation_price": {
"amount": 0,
"currency": "string",
"tax_rate": 0,
"tax": 0,
"total": 0
},
"renew_price": {
"amount": 0,
"currency": "string",
"tax_rate": 0,
"tax": 0,
"total": 0
},
"restore_price": {
"amount": 0,
"currency": "string",
"tax_rate": 0,
"tax": 0,
"total": 0
},
"transfer_price": {
"amount": 0,
"currency": "string",
"tax_rate": 0,
"tax": 0,
"total": 0
},
"is_primary": true,
"is_secondary": true,
"is_presale": true,
"is_aftersale": true,
"is_quantifiable": true,
"quantity_min": 0,
"quantity_max": 0,
"templates": [
{
"template_code": "string",
"template_name": "string",
"template_name_alternative": "string",
"min_ram": 0,
"min_cpu": 0,
"min_disk": 0,
"operative_systems": [
{
"os_code": "string",
"os_name": "string",
"min_ram": 0,
"min_cpu": 0,
"min_disk": 0
}
]
}
]
}
],
"meta": {
"total": 0,
"count": 0,
"pages": 0,
"page": 0,
"per_page": 0
}
}